Subject: Re: pmdisk working on ppc (WAS: Help port swsusp to ppc)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 27 Jan 2004 21:37:57 +1100

> I don't mind the wait for memory being freed. Copying more pages with
> interrupts disabled would mean a higher chance for PMU lockup, won't it?

It's also possible that there is a bug and it just crashes :)

Also, I do suspend devices before the page copy, and I quickly hacked a
PMU sysdev that should suspend ADB interrupts (at least) so that should
be fine, except if you have a brightness request in flight maybe ?

The whole PMU suspend thing must be reworked I suppose. (And the battery
monitoring thing "paused" as well, we must wait for async PMU requests,
that is at least battery requests and backlight ones to stop)

Ben.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/